# sigc::deduce_result_type< T_functor, void, void, void, void, void, void, void, true > Struct Template Reference

Deduce the return type of a functor. More...

`#include <sigc++/adaptors/deduce_result_type.h>`

List of all members.

## Public Types

typedef T_functor::template deduce_result_type::type | type

## Detailed Description

### template <class T_functor>
struct sigc::deduce_result_type< T_functor, void, void, void, void, void, void, void, true >

Deduce the return type of a functor.

This is the template specialization of the sigc::deduce_result_type template for 0 arguments.